+++
title = 'About me'
+++

I'm **Victor Mignot** aka *dala*.

I spend most of my time trying to acquire knowledge on computer science through small projects.
All of them are licensed under free and open-source licenses and are available on [my personal Forgejo instance](https://git.dalaran.fr).
I don't consider myself as a FOSS developer, as most of my projects are just small experiments or piece of software.
I've still not engaged myself in any notable FOSS project, but I would be glad to.
I also tend to self-host various services, and maintaining a small infrastructure at home.

My goal behind this blog is to share my personal experiments and projects.
I'm not an expert in any particular domain.
As such, and even if I try to check every piece of information I share, I might utter false or approximate statements.
I'll gladly fix it if you find some.

My technical interests are:
- embedded development
- the mobile Linux ecosystem
- the NixOS ecosystem (I use [Lix](https://lix.systems/) though)
- open-hardware
- trying to repair computers and mobile devices

Here is the list of projects I would like to try to implement myself in the future
(I'll try to keep it updated on the future):
- A package manager.
- A trivial implementation of a Linux init program.
- Improve my current incomplete implementation of a [RISC-V hart emulator](https://git.dalaran.fr/dala/dremu).
- A KeePass-based password manager for Linux Mobile (as the KeePassXC interface does not scale on mobile screen).

Avatar by: https://x.com/MaewenMitzuki
