{ stdenv, lib, hugo, dart-sass, ... }:
stdenv.mkDerivation {
  name = "dalaran.fr";

  src = lib.cleanSource ./.;

  nativeBuildInputs = [
    hugo
    dart-sass
  ];

  buildPhase = ''
    hugo --minify
  '';

  installPhase = ''
    mv public $out
  '';
}
